Bug 8924 - Some modules erroneously skipped by 00-load
Summary: Some modules erroneously skipped by 00-load
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jared Camins-Esakov
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on: 8890
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 09:29 UTC by Jared Camins-Esakov
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8924: Some modules erroneously skipped by 00-load (1.47 KB, patch)
2012-10-16 09:34 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8924: Some modules erroneously skipped by 00-load (1.63 KB, patch)
2013-01-01 00:47 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8924: Some modules erroneously skipped by 00-load (1.71 KB, patch)
2013-01-01 17:59 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 8924: Some modules erroneously skipped by 00-load (1.77 KB, patch)
2013-01-04 11:40 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-10-16 09:29:59 UTC

    
Comment 1 Jared Camins-Esakov 2012-10-16 09:34:22 UTC Comment hidden (obsolete)
Comment 2 Jared Camins-Esakov 2012-10-19 12:39:19 UTC
Did you apply the patch for bug 8890 first?
Comment 3 Jared Camins-Esakov 2013-01-01 00:47:47 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2013-01-01 17:59:55 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2013-01-04 11:39:27 UTC
QA Comments:

All Tests passed

Marked as passed QA.
Comment 6 Jonathan Druart 2013-01-04 11:40:31 UTC
Created attachment 14411 [details] [review]
Bug 8924: Some modules erroneously skipped by 00-load

Several patterns were being skipped unnecessarily in t/00-load.t:
* C4::Cache* - no longer exists
* C4::Record - no longer requires database
* C4::Serials - no longer requires database

To test:
1) Unset KOHA_CONF and/or shut down MySQL.
2) Run `prove t/00-load.t`
3) If the test passes, the patch is good.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

144 tests passing.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 7 Jared Camins-Esakov 2013-01-04 13:26:00 UTC
This patch has been pushed to master.
Comment 8 Chris Cormack 2013-01-12 19:06:59 UTC
Pushed to 3.10.x and 3.8.x
Comment 9 Jared Camins-Esakov 2013-02-11 20:08:00 UTC
This patch was not intended for 3.6.x.